
#pragma comment(lib, "shlwapi.lib")

#include <windows.h>
#include <shlwapi.h>
#include "../../../Mausuji/plugin.h"

BOOL Init(void);
void Quit(void);
void Config(PREFS* prefs, CONFIGPARAM* configparam);
void Command(COMMANDPARAM* param);
void Description(COMMANDARGV* argv, LPWSTR lpszText, int nLength);

PLUGIN plugin = {
	PLUGIN_VERSION,
	L"tH_J",
	Init,
	Quit,
	Config,
	Command,
	Description
};

EXTERN_C PLUGIN * WINAPI GetPlugin(void)
{
	return &plugin;
}

BOOL Init(void)
{
	return TRUE;
}

void Quit(void)
{
}

void Config(PREFS* prefs, CONFIGPARAM* configparam)
{
}

void Command(COMMANDPARAM* param)
{
	TCHAR szPath[MAX_PATH];
	lstrcpy(szPath, param->szPath);
	PathRemoveFileSpec(szPath);
	ShellExecute(NULL, NULL, szPath, NULL, NULL, SW_SHOWDEFAULT);
}

void Description(COMMANDARGV* argv, LPWSTR lpszText, int nLength)
{
	lstrcpynW(lpszText, L"tH_J", nLength);
}
